Freeciv-3.1: /fast/freeciv/nightly/S3_1/ai/default/ailog.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
ailog.c File Reference
`#include <stdarg.h>`
`#include "map.h"`
`#include "player.h"`
`#include "research.h"`
`#include "notify.h"`
`#include "aidata.h"`
`#include "aiplayer.h"`
`#include "aiunit.h"`
`#include "daicity.h"`
`#include "ailog.h"`

Go to the source code of this file.

## Functions

void | dai_city_log (struct ai_type *ait, char *buffer, int buflength, const struct city *pcity)
void | dai_unit_log (struct ai_type *ait, char *buffer, int buflength, const struct unit *punit)
void | real_tech_log (struct ai_type *ait, const char *file, const char *function, int line, enum log_level level, bool send_notify, const struct player *pplayer, struct advance *padvance, const char *msg,...)
void | real_diplo_log (struct ai_type *ait, const char *file, const char *function, int line, enum log_level level, bool send_notify, const struct player *pplayer, const struct player *aplayer, const char *msg,...)
void | real_bodyguard_log (struct ai_type *ait, const char *file, const char *function, int line, enum log_level level, bool send_notify, const struct unit *punit, const char *msg,...)

## Function Documentation

## ◆ dai_city_log()

void dai_city_log | ( | struct ai_type * | ait,
|  | char * | buffer,
|  | int | buflength,
|  | const struct city * | pcity
| ) |  |

Produce logline fragment for srv_log.

Definition at line 40 of file ailog.c.

Referenced by cai_city_log(), texwai_city_log(), and twai_city_log().

## ◆ dai_unit_log()

void dai_unit_log | ( | struct ai_type * | ait,
|  | char * | buffer,
|  | int | buflength,
|  | const struct unit * | punit
| ) |  |

Produce logline fragment for srv_log.

Definition at line 53 of file ailog.c.

Referenced by cai_unit_log(), texwai_unit_log(), and twai_unit_log().

## ◆ real_bodyguard_log()

void real_bodyguard_log | ( | struct ai_type * | ait,
|  | const char * | file,
|  | const char * | function,
|  | int | line,
|  | enum log_level | level,
|  | bool | send_notify,
|  | const struct unit * | punit,
|  | const char * | msg,
|  |  | ...
| ) |  |

Log message for bodyguards. They will appear like this 2: Polish Mech. Inf.[485] bodyguard (38,22){Riflemen:574@37,23} was ... note that these messages are likely to wrap if long.

Definition at line 142 of file ailog.c.

## ◆ real_diplo_log()

void real_diplo_log | ( | struct ai_type * | ait,
|  | const char * | file,
|  | const char * | function,
|  | int | line,
|  | enum log_level | level,
|  | bool | send_notify,
|  | const struct player * | pplayer,
|  | const struct player * | aplayer,
|  | const char * | msg,
|  |  | ...
| ) |  |

Log player messages, they will appear like this

where ti is timer, co countdown and lo love for target, who is e.

Definition at line 103 of file ailog.c.

## ◆ real_tech_log()

void real_tech_log | ( | struct ai_type * | ait,
|  | const char * | file,
|  | const char * | function,
|  | int | line,
|  | enum log_level | level,
|  | bool | send_notify,
|  | const struct player * | pplayer,
|  | struct advance * | padvance,
|  | const char * | msg,
|  |  | ...
| ) |  |

Log player tech messages.

Definition at line 65 of file ailog.c.